GET /x/accounts/{id}/search

Recent search (last 7 days) as the account, X search syntax. Every post returned is billed by X as a post read

GET
/x/accounts/{id}/search

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

X account id

Query Parameters

query*string

X search query

Lengthlength <= 512
limit?integer

Max posts

Range10 <= value <= 100
Default25
cursor?string

nextCursor of the previous page

sortOrder?string

Order

Value in"recency""relevancy"

Response Body

{accountId, query, posts, nextCursor}

application/json
  1. response
accountId?string
query?string
posts?array<>
nextCursor?string|null
Example Request
curl -X GET 'https://example.com/api/v1/x/accounts/string/search?query=string'
Example Response
{  "accountId": "string",  "query": "string",  "posts": [    {      "id": "string",      "text": "string",      "username": "string",      "authorId": "string",      "timestamp": "2019-08-24T14:15:22Z",      "parentId": "string",      "conversationId": "string",      "url": "string",      "metrics": {        "impressions": 0,        "likes": 0,        "replies": 0,        "reposts": 0,        "quotes": 0,        "bookmarks": 0      },      "platform": "x"    }  ],  "nextCursor": "string"}